""" mysql User Folder """

__version__ = "$Revision"
# $Source: /home/vladap/src/mysqlUserFolder/RCS/__init__.py,v $
#
# $Author: vladap $
# $Date: 2001/07/10 14:41:44 $

from Globals import HTMLFile
from ImageFile import ImageFile

import mysqlUserFolder

# --------------------------------------------------------------------- */
# Initialize

def initialize (context):
    try:
        context.registerClass(
            mysqlUserFolder.mysqlUserFolder,
            meta_type='MySQL User Folder',
            constructors = (
                manage_add_mysqlUserFolder_form,
                mysqlUserFolder.manage_add_mysqlUserFolder
            )
        )            
    
    except:
        import sys, traceback, string
        type, val, tb = sys.exc_info()
        sys.stderr.write (
        	string.join (traceback.format_exception (type, val, tb), ''))
        del type, val, tb

# --------------------------------------------------------------------- */
# Product data

manage_add_mysqlUserFolder_form = HTMLFile (
	'm_Properties', globals (), 
	mchange = 0, realm = '*', use_cookies = 0, use_sessions = 0,
	mysql_server = 'localhost',
	mysql_db = 'Zope',
	anon_create_role = '', anon_create_ok = 0,
	dtml_user_dir = cfg.DTML_USER_DIR,
	cookie_domain='', cookie_path='/',
	mysql_port = 0, mysql_user = 'Zope', mysql_password = 'Zope')

misc_ = {
	'folder_icon': ImageFile ('icons/folder_icon.gif', globals ()),
	'user_icon': ImageFile ('icons/user_icon.gif', globals ())
}
		
		
		