""" Utility functions """

__version__ = "$Revision: 1.10 $"
# $Source: /home/vladap/src/mysqlUserFolder/RCS/util.py,v $
#
# $Author: vladap $
# $Date: 2001/08/24 16:42:44 $

import Globals, zLOG, cfg, os

# --------------------------------------------------------------------- */
# Utility functions

def base_prod_dir ():
	h1 = Globals.INSTANCE_HOME
	h2 = Globals.SOFTWARE_HOME
	
	d1 = "%s/%s" % (h1, 'Products/mysqlUserFolder')
	d2 = "%s/%s" % (h2, 'Products/mysqlUserFolder')
	
	if os.path.isdir (d1): return d1
	else: return d2

def get_obj_from_request (REQUEST):
	p = REQUEST ['PARENTS'] [0]
	return p
	
def get_path_from_request (REQUEST):
	b = REQUEST ['BASE1']
	path_info = REQUEST ['PATH_INFO']
	
	if path_info [0:2] == '//': path_info = path_info [1:]
	
	return b + path_info
	
# --------------------------------------------------------------------- */
# Log functions

def log_debug2 (str):
	if cfg.DEBUG > 1:
		zLOG.LOG ("mysqlUserFolder", zLOG.INFO, 
							"Internal info", '*** ' + str, None, 0)

def log_debug (str):
	if cfg.DEBUG > 0:
		zLOG.LOG ("mysqlUserFolder", zLOG.INFO, 
							"Internal info", str, None, 0)

def log_error (str):
	zLOG.LOG ("mysqlUserFolder", zLOG.ERROR, 
							"Internal error", str, None, 0)
							
							
							
							